import { flags, SfdxCommand } from '@salesforce/command';
import { CustomField } from 'jsforce/api/metadata';
interface CmdtRecordCreateResponse {
    typename: string;
    recordname: string;
    label: string;
    inputdir: string;
    outputdir: string;
    protectedFlag: boolean;
    varargs: Record<string, unknown>;
    fileData: CustomField[];
}
export default class Create extends SfdxCommand {
    static description: string;
    static longDescription: string;
    static examples: string[];
    protected static flagsConfig: {
        typename: flags.Discriminated<flags.String>;
        recordname: flags.Discriminated<flags.String>;
        label: flags.Discriminated<flags.String>;
        protected: flags.Discriminated<flags.String>;
        inputdir: flags.Discriminated<flags.String>;
        outputdir: flags.Discriminated<flags.String>;
    };
    protected static varargs: {
        required: boolean;
        validator: (name: string) => void;
    };
    protected static requiresProject: boolean;
    run(): Promise<CmdtRecordCreateResponse>;
}
export {};
